
%Demo of window FIR filtering using windows .....
% Shows effect of window shape in time domain

% Last revised 10/27/98 - rms

close all

a = 1;
wc = .4*pi;
N = 51;
n = -(N-1)/2:(N-1)/2;


% Rectangular window

stem(n,boxcar(N),'linewidth',2)
title('Rectangular window, N = 51','fontsize',16)
xlabel('n','fontsize',18,'fontweight','bold')
ylabel('w[n]','fontsize',18,'fontweight','bold')
pause

% Bartlett window

stem(n,bartlett(N),'linewidth',2)
title('Bartlett window, N = 51','fontsize',16)
xlabel('n','fontsize',18,'fontweight','bold')
ylabel('w[n]','fontsize',18,'fontweight','bold')
pause


% Hanning window

stem(n,hanning(N),'linewidth',2)
title('Hanning window, N = 51','fontsize',16)
xlabel('n','fontsize',18,'fontweight','bold')
ylabel('w[n]','fontsize',18,'fontweight','bold')
pause


% Hamming window

stem(n,hamming(N),'linewidth',2)
title('Hamming window, N = 51','fontsize',16)
xlabel('n','fontsize',18,'fontweight','bold')
ylabel('w[n]','fontsize',18,'fontweight','bold')
pause



% Blackman window

stem(n,blackman(N),'linewidth',2)
title('Blackman window, N = 51','fontsize',16)
xlabel('n','fontsize',18,'fontweight','bold')
ylabel('w[n]','fontsize',18,'fontweight','bold')
pause

